Bug 105749 - Document-level snap and grid options not superseding global-level options
Summary: Document-level snap and grid options not superseding global-level options
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Document-Options
  Show dependency treegraph
 
Reported: 2017-02-04 13:01 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-11-19 03:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-02-04 13:01:17 UTC
Steps:
1) Open Calc
2) In Tools > Options > Calc > Grid, check both snap to grid and visible grid options and notice the grid appears
3) In View > Gridlines and Help, uncheck display grid and snap to grid and notice the grid is gone
4) Save the document
5) Close it and reopen it
6) Notice that the grid is visible, though the options are disabled in View > Gridlines and Help and Tools > Options > Calc > Grid.

In earlier version of LO where the View > Gridline and Help submenu isnt there, you can find the options in the Form Design toolbar.

Version: 5.3.0.1.0+
Build ID: d1b8074ffe4b945a41e3ad9e1fb43332d78d73fb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-3, Time: 2017-01-10_23:02:10
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2017-02-12 13:40:45 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: ac8197327d3ef4f3c94fb0746393863404df086b
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2016
Comment 2 QA Administrators 2018-02-13 03:33:44 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-02-14 02:30:59 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2020-11-18 14:13:33 UTC
Still repro

Arch Linux 64-bit
Version: 7.1.0.0.alpha1+
Build ID: bd3aeaefff5e7bdef10c4702d1f388083557614e
CPU threads: 8; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 15 November 2020
Comment 5 QA Administrators 2022-11-19 03:34:42 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug